## python-magnumclient 2.8.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr!=2.1.0,>=2.0.0 # Apache-2.0

Babel!=2.4.0,>=2.3.4 # BSD
six>=1.10.0 # MIT
keystoneauth1>=3.3.0 # Apache-2.0
stevedore>=1.20.0 # Apache-2.0
requests>=2.14.2 # Apache-2.0
oslo.i18n>=3.15.3 # Apache-2.0
oslo.log>=3.36.0 # Apache-2.0
oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
oslo.utils>=3.33.0 # Apache-2.0
os-client-config>=1.28.0 # Apache-2.0
osc-lib>=1.8.0 # Apache-2.0
PrettyTable<0.8,>=0.7.1 # BSD
cryptography!=2.0,>=1.9 # BSD/Apache-2.0
decorator>=3.4.0 # BSD

=== debian/changelog ===
python-magnumclient (2.8.0-0ubuntu1~cloud0) xenial-queens; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Tue, 13 Feb 2018 00:03:02 +0000

python-magnumclient (2.8.0-0ubuntu1) bionic; urgency=medium

  * New upstream release.
  * d/*: wrap-and-sort -bast.
  * d/control: Update Standards-Version to 4.1.2.
  * d/control: Bump debhelper compat to 10.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/drop-openstackdoctheme.patch: Dropped. No longer needed.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 12 Feb 2018 09:28:14 -0500

=== debian/control ===
Source: python-magnumclient
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Corey Bryant <corey.bryant@canonical.com>,
Build-Depends:
 debhelper (>= 10~),
 dh-python,
 openstack-pkg-tools (>= 52~),
 python-all,
 python-pbr (>= 2.0.0),
 python-setuptools,
 python-sphinx (>= 1.6.2),
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 1.6.2),
Build-Depends-Indep:
 python-babel (>= 2.3.4),
 python-coverage (>= 4.0),
 python-cryptography (>= 1.9),
 python-decorator (>= 3.4.0),
 python-fixtures (>= 3.0.0),
 python-keystoneauth1 (>= 3.3.0),
 python-mock (>= 2.0.0),
 python-openstackclient (>= 3.12.0),
 python-openstackdocstheme (>= 1.18.1),
 python-os-client-config (>= 1.28.0),
 python-osc-lib (>= 1.8.0),
 python-oslo.i18n (>= 3.15.3),
 python-oslo.log (>= 3.36.0),
 python-oslo.serialization (>= 2.18.0),
 python-oslo.utils (>= 3.33.0),
 python-oslotest (>= 1:3.2.0),
 python-osprofiler (>= 1.4.0),
 python-prettytable (>= 0.7.1),
 python-requests (>= 2.14.2),
 python-six (>= 1.10.0),
 python-stevedore (>= 1:1.20.0),
 python-testrepository (>= 0.0.18),
 python-testscenarios (>= 0.4),
 python-testtools (>= 2.2.0),
 python3-babel (>= 2.3.4),
 python3-coverage (>= 4.0),
 python3-cryptography (>= 1.9),
 python3-decorator (>= 3.4.0),
 python3-fixtures (>= 3.0.0),
 python3-keystoneauth1 (>= 3.3.0),
 python3-mock (>= 2.0.0),
 python3-openstackclient (>= 3.12.0),
 python3-openstackdocstheme (>= 1.18.1),
 python3-os-client-config (>= 1.28.0),
 python3-osc-lib (>= 1.8.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.utils (>= 3.33.0),
 python3-oslotest (>= 1:3.2.0),
 python3-osprofiler (>= 1.4.0),
 python3-prettytable (>= 0.7.1),
 python3-requests (>= 2.14.2),
 python3-six (>= 1.10.0),
 python3-stevedore (>= 1:1.20.0),
 python3-subunit,
 python3-testrepository (>= 0.0.18),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.2.0),
 subunit,
 testrepository,
Standards-Version: 4.1.2
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-magnumclient
Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-magnumclient
Homepage: http://www.openstack.org/

Package: python-magnumclient
Architecture: all
Depends:
 python-babel (>= 2.3.4),
 python-cryptography (>= 1.9),
 python-decorator (>= 3.4.0),
 python-keystoneauth1 (>= 3.3.0),
 python-os-client-config (>= 1.28.0),
 python-osc-lib (>= 1.8.0),
 python-oslo.i18n (>= 3.15.3),
 python-oslo.log (>= 3.36.0),
 python-oslo.serialization (>= 2.18.0),
 python-oslo.utils (>= 3.33.0),
 python-pbr (>= 2.0.0),
 python-prettytable (>= 0.7.1),
 python-requests (>= 2.14.2),
 python-six (>= 1.10.0),
 python-stevedore (>= 1:1.20.0),
 ${misc:Depends},
 ${python:Depends},
Suggests:
 python-magnumclient-doc,
Description: client library for Magnum API - Python 2.x
 Magnum is an OpenStack API service developed by the OpenStack Containers Team
 making container orchestration engines such as Docker and Kubernetes available
 as first class resources in OpenStack. Magnum uses Heat to orchestrate an OS
 image which contains Docker and Kubernetes and runs that image in either
 virtual machines or bare metal in a cluster configuration.
 .
 This package contains the Python 2.x module.

Package: python-magnumclient-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: client library for Magnum API - doc
 Magnum is an OpenStack API service developed by the OpenStack Containers Team
 making container orchestration engines such as Docker and Kubernetes available
 as first class resources in OpenStack. Magnum uses Heat to orchestrate an OS
 image which contains Docker and Kubernetes and runs that image in either
 virtual machines or bare metal in a cluster configuration.
 .
 This package contains the documentation.

Package: python3-magnumclient
Architecture: all
Depends:
 python3-babel (>= 2.3.4),
 python3-cryptography (>= 1.9),
 python3-decorator (>= 3.4.0),
 python3-keystoneauth1 (>= 3.3.0),
 python3-os-client-config (>= 1.28.0),
 python3-osc-lib (>= 1.8.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.utils (>= 3.33.0),
 python3-pbr (>= 2.0.0),
 python3-prettytable (>= 0.7.1),
 python3-requests (>= 2.14.2),
 python3-six (>= 1.10.0),
 python3-stevedore (>= 1:1.20.0),
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-magnumclient-doc,
Description: client library for Magnum API - Python 3.x
 Magnum is an OpenStack API service developed by the OpenStack Containers Team
 making container orchestration engines such as Docker and Kubernetes available
 as first class resources in OpenStack. Magnum uses Heat to orchestrate an OS
 image which contains Docker and Kubernetes and runs that image in either
 virtual machines or bare metal in a cluster configuration.
 .
 This package contains the Python 3.x module.

## python-magnumclient 2.9.1

=== debian/changelog ===
python-magnumclient (2.9.1-0ubuntu1) cosmic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - d/control: Enable autopkgtest-pkg-python testsuite.
    - d/gbp.conf: Retain for gbp and pristine-tar config.
    - d/p/remove-profile-eq-none-in-tests.patch: Dropped as it is causing
      tests to fail.
    - d/p/skip-tests.patch: Updated with failing Py3.7 tests.
  * New upstream release for OpenStack Rocky.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 03 Aug 2018 13:24:32 -0400

python-magnumclient (2.8.0-2) unstable; urgency=medium

  * Python 3 has now priority over Python 2.

 -- Thomas Goirand <zigo@debian.org>  Sun, 11 Mar 2018 13:09:16 +0100

python-magnumclient (2.8.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org

  [ Thomas Goirand ]
  * New upstream release:
    - Fixes FTBFS (Closes: #891360).
  * Fixed (build-)depends for this release.
  * Standards-Version is now 4.1.3.
  * Add remove-profile-eq-none-in-tests.patch.

 -- Thomas Goirand <zigo@debian.org>  Tue, 27 Feb 2018 22:10:45 +0100

python-magnumclient (2.7.0-4) unstable; urgency=medium

  [ Ondřej Nový ]
  * Team upload.
  * Add B-D on python{,3}-openstackclient (Closes: #877840)
  * Standards-Version is 4.1.2 now (no changes needed)

  [ Thomas Goirand ]
  * Added python-openstackdocstheme build-depends.

 -- Thomas Goirand <zigo@debian.org>  Mon, 29 Jan 2018 12:36:24 +0000

python-magnumclient (2.7.0-3) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 02 Nov 2017 00:09:54 +0000

python-magnumclient (2.7.0-2) experimental; urgency=medium

  * Added missing build-depends: python{3,}-oslo.log (Closes: #877840).

 -- Thomas Goirand <zigo@debian.org>  Sat, 07 Oct 2017 12:03:00 +0200

python-magnumclient (2.7.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Standards-Version is 3.9.8 now (no change)
  * d/rules: Removed UPSTREAM_GIT with default value

  [ Daniel Baumann ]
  * Updating vcs fields.
  * Updating copyright format url.
  * Running wrap-and-sort -bast.
  * Updating maintainer field.
  * Updating standards version to 4.0.0.
  * Removing gbp.conf, not used anymore or should be specified in the
    developers dotfiles.
  * Correcting permissions in debian packaging files.
  * Updating standards version to 4.0.1.
  * Updating standards version to 4.1.0.

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Using pkgos-dh_auto_{install,test}.

 -- Thomas Goirand <zigo@debian.org>  Wed, 04 Oct 2017 20:51:25 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: python
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
+XSBC-Original-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
  Corey Bryant <corey.bryant@canonical.com>,
@@ -24,6 +24,7 @@
  python-cryptography (>= 1.9),
  python-decorator (>= 3.4.0),
  python-fixtures (>= 3.0.0),
+ python-hacking (>= 0.10.0),
  python-keystoneauth1 (>= 3.3.0),
  python-mock (>= 2.0.0),
  python-openstackclient (>= 3.12.0),
@@ -34,6 +35,7 @@
  python-oslo.log (>= 3.36.0),
  python-oslo.serialization (>= 2.18.0),
  python-oslo.utils (>= 3.33.0),
+ python-oslosphinx (>= 2.5.0),
  python-oslotest (>= 1:3.2.0),
  python-osprofiler (>= 1.4.0),
  python-prettytable (>= 0.7.1),
@@ -70,10 +72,11 @@
  python3-testtools (>= 2.2.0),
  subunit,
  testrepository,
-Standards-Version: 4.1.2
+Standards-Version: 4.1.3
 Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-magnumclient
-Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-magnumclient
+Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-magnumclient
 Homepage: http://www.openstack.org/
+Testsuite: autopkgtest-pkg-python
 
 Package: python-magnumclient
 Architecture: all

## python-magnumclient 2.10.0

=== doc/requirements.txt ===
sphinx!=1.6.6,>=1.6.2 # BSD
openstackdocstheme>=1.18.1 # Apache-2.0

=== debian/changelog ===
python-magnumclient (2.10.0-3) unstable; urgency=medium

  * Remove skip-tests.patch
  * Add fix-py37-compatibility.patch

 -- Michal Arbet <michal.arbet@ultimum.io>  Fri, 16 Nov 2018 16:54:47 +0100

python-magnumclient (2.10.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Tue, 04 Sep 2018 23:58:14 +0200

python-magnumclient (2.10.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * d/control: Use team+openstack@tracker.debian.org as maintainer

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Building sphinx doc with Python 3.
  * Add skip-tests.patch, taken from Ubuntu.

 -- Thomas Goirand <zigo@debian.org>  Wed, 22 Aug 2018 10:13:44 +0200

=== debian/control ===
Source: python-magnumclient
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Corey Bryant <corey.bryant@canonical.com>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools,
 python-all,
 python-pbr (>= 2.0.0),
 python-setuptools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 python-babel,
 python-coverage,
 python-cryptography (>= 2.1),
 python-decorator,
 python-fixtures (>= 1.3.1),
 python-hacking (>= 0.10.0),
 python-keystoneauth1 (>= 3.4.0),
 python-mock (>= 1.3),
 python-openstackclient (>= 3.12.0),
 python-os-client-config (>= 1.28.0),
 python-osc-lib (>= 1.8.0),
 python-oslo.i18n (>= 3.15.3),
 python-oslo.log (>= 3.36.0),
 python-oslo.serialization (>= 2.18.0),
 python-oslo.utils (>= 3.33.0),
 python-oslosphinx (>= 2.5.0),
 python-oslotest (>= 1:3.2.0),
 python-prettytable (>= 0.7),
 python-requests (>= 2.14.2),
 python-six (>= 1.9.0),
 python-stestr (>= 2.0.0),
 python-stevedore (>= 1.20.0),
 python-testscenarios,
 python-testtools (>= 2.2.0),
 python3-babel,
 python3-cryptography (>= 2.1),
 python3-decorator,
 python3-fixtures (>= 1.3.1),
 python3-keystoneauth1 (>= 3.4.0),
 python3-mock (>= 1.3),
 python3-openstackclient (>= 3.12.0),
 python3-openstackdocstheme (>= 1.18.1),
 python3-os-client-config (>= 1.28.0),
 python3-osc-lib (>= 1.8.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.utils (>= 3.33.0),
 python3-oslotest (>= 1:3.2.0),
 python3-prettytable (>= 0.7),
 python3-requests (>= 2.14.2),
 python3-six (>= 1.9.0),
 python3-stestr (>= 2.0.0),
 python3-stevedore (>= 1.20.0),
 python3-subunit,
 python3-testscenarios,
 python3-testtools (>= 2.2.0),
 subunit,
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/openstack-team/clients/python-magnumclient
Vcs-Git: https://salsa.debian.org/openstack-team/clients/python-magnumclient.git
Homepage: http://www.openstack.org/

Package: python-magnumclient
Architecture: all
Depends:
 python-babel,
 python-cryptography (>= 2.1),
 python-decorator,
 python-keystoneauth1 (>= 3.4.0),
 python-os-client-config (>= 1.28.0),
 python-osc-lib (>= 1.8.0),
 python-oslo.i18n (>= 3.15.3),
 python-oslo.log (>= 3.36.0),
 python-oslo.serialization (>= 2.18.0),
 python-oslo.utils (>= 3.33.0),
 python-pbr (>= 2.0.0),
 python-prettytable (>= 0.7),
 python-requests (>= 2.14.2),
 python-six (>= 1.9.0),
 python-stevedore (>= 1.20.0),
 ${misc:Depends},
 ${python:Depends},
Suggests:
 python-magnumclient-doc,
Description: client library for Magnum API - Python 2.x
 Magnum is an OpenStack API service developed by the OpenStack Containers Team
 making container orchestration engines such as Docker and Kubernetes available
 as first class resources in OpenStack. Magnum uses Heat to orchestrate an OS
 image which contains Docker and Kubernetes and runs that image in either
 virtual machines or bare metal in a cluster configuration.
 .
 This package contains the Python 2.x module.

Package: python-magnumclient-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: client library for Magnum API - doc
 Magnum is an OpenStack API service developed by the OpenStack Containers Team
 making container orchestration engines such as Docker and Kubernetes available
 as first class resources in OpenStack. Magnum uses Heat to orchestrate an OS
 image which contains Docker and Kubernetes and runs that image in either
 virtual machines or bare metal in a cluster configuration.
 .
 This package contains the documentation.

Package: python3-magnumclient
Architecture: all
Depends:
 python3-babel,
 python3-cryptography (>= 2.1),
 python3-decorator,
 python3-keystoneauth1 (>= 3.4.0),
 python3-os-client-config (>= 1.28.0),
 python3-osc-lib (>= 1.8.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.utils (>= 3.33.0),
 python3-pbr (>= 2.0.0),
 python3-prettytable (>= 0.7),
 python3-requests (>= 2.14.2),
 python3-six (>= 1.9.0),
 python3-stevedore (>= 1.20.0),
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-magnumclient-doc,
Description: client library for Magnum API - Python 3.x
 Magnum is an OpenStack API service developed by the OpenStack Containers Team
 making container orchestration engines such as Docker and Kubernetes available
 as first class resources in OpenStack. Magnum uses Heat to orchestrate an OS
 image which contains Docker and Kubernetes and runs that image in either
 virtual machines or bare metal in a cluster configuration.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc

override_dh_auto_install:
	pkgos-dh_auto_install

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test 'magnumclient\.tests\.(?!.*test_utils\.CliUtilsTest\.test_keys_and_vals_to_strs.*)'
endif

override_dh_sphinxdoc:
	PYTHONPATH=. python3 -m sphinx -b html doc/source debian/python-magnumclient-doc/usr/share/doc/python-magnumclient-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build

## python-magnumclient 2.11.0

=== requirements.txt ===
--- 
+++ 
@@ -5,7 +5,7 @@
 
 Babel!=2.4.0,>=2.3.4 # BSD
 six>=1.10.0 # MIT
-keystoneauth1>=3.3.0 # Apache-2.0
+keystoneauth1>=3.4.0 # Apache-2.0
 stevedore>=1.20.0 # Apache-2.0
 requests>=2.14.2 # Apache-2.0
 oslo.i18n>=3.15.3 # Apache-2.0
@@ -14,6 +14,6 @@
 oslo.utils>=3.33.0 # Apache-2.0
 os-client-config>=1.28.0 # Apache-2.0
 osc-lib>=1.8.0 # Apache-2.0
-PrettyTable<0.8,>=0.7.1 # BSD
-cryptography!=2.0,>=1.9 # BSD/Apache-2.0
+PrettyTable<0.8,>=0.7.2 # BSD
+cryptography>=2.1 # BSD/Apache-2.0
 decorator>=3.4.0 # BSD

=== doc/requirements.txt ===
sphinx!=1.6.6,>=1.6.2 # BSD
openstackdocstheme>=1.18.1 # Apache-2.0
reno>=2.5.0 # Apache-2.0

=== debian/changelog ===
python-magnumclient (2.11.0-0ubuntu4) focal; urgency=medium

  * d/p/skip-tests.patch: Refresh patch to ensure that tests are skipped
    for >= Python 3.7 rather than == (LP: #1870076).
  * d/rules: Set PBR_VERSION to fix failing shell tests.

 -- James Page <james.page@ubuntu.com>  Fri, 03 Apr 2020 11:53:04 +0100

python-magnumclient (2.11.0-0ubuntu3) eoan; urgency=medium

  * d/control: Fix BD's on python-* packages for Bionic Train.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Fri, 12 Jul 2019 14:35:37 +0200

python-magnumclient (2.11.0-0ubuntu2) eoan; urgency=medium

  * d/control: Drop python-magnumclient binary package.
  * d/control: Drop BDI's on python-* packages.
  * d/*.postinst,prerm,postrm: Drop, alternatives no longer needed.
  * d/rules: Tweak to stop build and install of Python 2 parts.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Thu, 11 Jul 2019 15:12:53 +0100

python-magnumclient (2.11.0-0ubuntu1) disco; urgency=medium

  * New upstream release for OpenStack Stein.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 14 Nov 2018 13:34:50 -0500

=== debian/control ===
Source: python-magnumclient
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Corey Bryant <corey.bryant@canonical.com>,
Build-Depends:
 debhelper (>= 10~),
 dh-python,
 openstack-pkg-tools (>= 52~),
 python-all,
 python-pbr (>= 2.0.0),
 python-setuptools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 1.6.2),
Build-Depends-Indep:
 python3-babel (>= 2.3.4),
 python3-coverage (>= 4.0),
 python3-cryptography (>= 2.1),
 python3-decorator (>= 3.4.0),
 python3-fixtures (>= 3.0.0),
 python3-keystoneauth1 (>= 3.4.0),
 python3-mock (>= 2.0.0),
 python3-openstackclient (>= 3.12.0),
 python3-openstackdocstheme (>= 1.18.1),
 python3-os-client-config (>= 1.28.0),
 python3-osc-lib (>= 1.8.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.utils (>= 3.33.0),
 python3-oslotest (>= 1:3.2.0),
 python3-osprofiler (>= 1.4.0),
 python3-prettytable (>= 0.7.2),
 python3-reno (>= 2.5.0),
 python3-requests (>= 2.14.2),
 python3-six (>= 1.10.0),
 python3-stestr,
 python3-stevedore (>= 1:1.20.0),
 python3-subunit,
 python3-testrepository (>= 0.0.18),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.2.0),
Standards-Version: 4.1.3
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-magnumclient
Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-magnumclient
Homepage: http://www.openstack.org/
Testsuite: autopkgtest-pkg-python

Package: python-magnumclient-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: client library for Magnum API - doc
 Magnum is an OpenStack API service developed by the OpenStack Containers Team
 making container orchestration engines such as Docker and Kubernetes available
 as first class resources in OpenStack. Magnum uses Heat to orchestrate an OS
 image which contains Docker and Kubernetes and runs that image in either
 virtual machines or bare metal in a cluster configuration.
 .
 This package contains the documentation.

Package: python3-magnumclient
Architecture: all
Depends:
 python3-babel (>= 2.3.4),
 python3-cryptography (>= 2.1),
 python3-decorator (>= 3.4.0),
 python3-keystoneauth1 (>= 3.4.0),
 python3-os-client-config (>= 1.28.0),
 python3-osc-lib (>= 1.8.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.utils (>= 3.33.0),
 python3-pbr (>= 2.0.0),
 python3-prettytable (>= 0.7.2),
 python3-requests (>= 2.14.2),
 python3-six (>= 1.10.0),
 python3-stevedore (>= 1:1.20.0),
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-magnumclient-doc,
Description: client library for Magnum API - Python 3.x
 Magnum is an OpenStack API service developed by the OpenStack Containers Team
 making container orchestration engines such as Docker and Kubernetes available
 as first class resources in OpenStack. Magnum uses Heat to orchestrate an OS
 image which contains Docker and Kubernetes and runs that image in either
 virtual machines or bare metal in a cluster configuration.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

export PBR_VERSION=$(OSLO_PACKAGE_VERSION)

%:
	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2 'magnumclient\.tests\.(?!.*test_utils\.CliUtilsTest\.test_keys_and_vals_to_strs.*)'
endif

override_dh_sphinxdoc:
	sphinx-build -b html doc/source debian/python-magnumclient-doc/usr/share/doc/python-magnumclient-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:
override_dh_installcron override_dh_installdebconf:
override_dh_installlogrotate override_dh_installgsettings:

## python-magnumclient 3.0.1

=== doc/requirements.txt ===
sphinx!=1.6.6,!=1.6.7,>=1.6.2,<2.0.0;python_version=='2.7' # BSD
sphinx!=1.6.6,!=1.6.7,>=1.6.2;python_version>='3.4' # BSD
openstackdocstheme>=1.18.1 # Apache-2.0
reno>=2.5.0 # Apache-2.0

=== debian/changelog ===
python-magnumclient (3.0.1-0ubuntu1) focal; urgency=medium

  [ Corey Bryant ]
  * New stable point release for OpenStack Ussuri (LP: #1996229).

  [ Felipe Reyes ]
  * d/p/fix-py37-compatibility.patch: Dropped. Fixed in new stable point
    release.
  * d/p/Fix-failing-to-parse-json-error-msg.patch: Dropped. Fixed in new
    stable point release.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 29 Jun 2023 19:01:16 -0400

python-magnumclient (2.11.0-0ubuntu6) focal; urgency=medium

  * d/p/Fix-failing-to-parse-json-error-msg.patch: Fix failing to parse json
    error msg (LP: #1979663).

 -- Felipe Reyes <felipe.reyes@canonical.com>  Fri, 24 Jun 2022 11:41:10 -0400

python-magnumclient (2.11.0-0ubuntu5) focal; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf: Create stable/ussuri branch.

  [ Chris MacNaughton ]
  * d/control: Update VCS paths for move to lp:~ubuntu-openstack-dev.

  [ Corey Bryant ]
  * d/control, d/rules: Drop py2 support and fix FTBFS (LP: #1891481).
  * d/p/fix-py37-compatibility.patch: Ensure py37 compatibility for
    generators (LP: #1814890).
  * d/p/skip-tests.patch: Dropped. No longer needed now that we have
    d/p/fix-py37-compatibility.patch.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 02 Aug 2021 15:43:01 -0400

=== debian/control ===
--- 
+++ 
@@ -10,9 +10,6 @@
  debhelper (>= 10~),
  dh-python,
  openstack-pkg-tools (>= 52~),
- python-all,
- python-pbr (>= 2.0.0),
- python-setuptools,
  python3-all,
  python3-pbr (>= 2.0.0),
  python3-setuptools,
@@ -46,8 +43,8 @@
  python3-testscenarios (>= 0.4),
  python3-testtools (>= 2.2.0),
 Standards-Version: 4.1.3
-Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-magnumclient
-Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-magnumclient
+Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-magnumclient
+Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-magnumclient
 Homepage: http://www.openstack.org/
 Testsuite: autopkgtest-pkg-python

## python-magnumclient 3.2.1

=== requirements.txt ===
--- 
+++ 
@@ -4,7 +4,6 @@
 pbr!=2.1.0,>=2.0.0 # Apache-2.0
 
 Babel!=2.4.0,>=2.3.4 # BSD
-six>=1.10.0 # MIT
 keystoneauth1>=3.4.0 # Apache-2.0
 stevedore>=1.20.0 # Apache-2.0
 requests>=2.14.2 # Apache-2.0
@@ -15,5 +14,5 @@
 os-client-config>=1.28.0 # Apache-2.0
 osc-lib>=1.8.0 # Apache-2.0
 PrettyTable<0.8,>=0.7.2 # BSD
-cryptography>=2.1 # BSD/Apache-2.0
+cryptography>=3.0 # BSD/Apache-2.0
 decorator>=3.4.0 # BSD

=== debian/changelog ===
python-magnumclient (3.2.1-2) unstable; urgency=medium

  * Uploading to unstable.
  * Fixed debian/watch.
  * Add a debian/salsa-ci.yml.

 -- Thomas Goirand <zigo@debian.org>  Fri, 16 Oct 2020 16:11:23 +0200

python-magnumclient (3.2.1-1) experimental; urgency=medium

  * New upstream release.
  * python3-cryptography >= 3.0.

 -- Thomas Goirand <zigo@debian.org>  Sun, 13 Sep 2020 16:26:40 +0200

python-magnumclient (3.2.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 09 Sep 2020 22:22:37 +0200

python-magnumclient (3.0.1-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 06 Jul 2020 11:57:45 +0200

python-magnumclient (3.0.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 08 May 2020 23:15:03 +0200

python-magnumclient (3.0.0-1) experimental; urgency=medium

  * New upstream release.
  * Rebased remove-basic-privacy-breach.patch.

 -- Thomas Goirand <zigo@debian.org>  Wed, 08 Apr 2020 10:56:51 +0200

python-magnumclient (2.15.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

  [ Thomas Goirand ]
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Oct 2019 01:35:02 +0200

python-magnumclient (2.15.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.0.

  [ Thomas Goirand ]
  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 16 Sep 2019 23:50:58 +0200

python-magnumclient (2.12.0-3) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 17 Jul 2019 05:23:23 +0200

python-magnumclient (2.12.0-2) experimental; urgency=medium

  * Build-depends on openstack-pkg-tools >= 98~ (Closes: #926993).

 -- Thomas Goirand <zigo@debian.org>  Fri, 26 Apr 2019 13:56:58 +0200

python-magnumclient (2.12.0-1) experimental; urgency=medium

  * New upstream release.
  * Removed Python 2 support.
  * Removed fix-py37-compatibility.patch & fix-crash-str-bytes.patch applied
    upstream.
  * Running unit tests with installed Python module.
  * Add remove-basic-privacy-breach.patch.

 -- Thomas Goirand <zigo@debian.org>  Sat, 23 Mar 2019 08:52:24 +0100

=== debian/control ===
Source: python-magnumclient
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Corey Bryant <corey.bryant@canonical.com>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools (>= 98~),
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 python3-babel,
 python3-coverage,
 python3-cryptography (>= 3.0),
 python3-decorator,
 python3-fixtures,
 python3-hacking,
 python3-keystoneauth1,
 python3-openstackclient,
 python3-openstackdocstheme,
 python3-os-client-config,
 python3-osc-lib,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.serialization,
 python3-oslo.utils,
 python3-oslosphinx,
 python3-oslotest,
 python3-prettytable,
 python3-requests,
 python3-stestr,
 python3-stevedore,
 python3-subunit,
 python3-testscenarios,
 python3-testtools,
 subunit,
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/openstack-team/clients/python-magnumclient
Vcs-Git: https://salsa.debian.org/openstack-team/clients/python-magnumclient.git
Homepage: http://www.openstack.org/

Package: python-magnumclient-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: client library for Magnum API - doc
 Magnum is an OpenStack API service developed by the OpenStack Containers Team
 making container orchestration engines such as Docker and Kubernetes available
 as first class resources in OpenStack. Magnum uses Heat to orchestrate an OS
 image which contains Docker and Kubernetes and runs that image in either
 virtual machines or bare metal in a cluster configuration.
 .
 This package contains the documentation.

Package: python3-magnumclient
Architecture: all
Depends:
 python3-babel,
 python3-cryptography (>= 3.0),
 python3-decorator,
 python3-keystoneauth1,
 python3-os-client-config,
 python3-osc-lib,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.serialization,
 python3-oslo.utils,
 python3-pbr,
 python3-prettytable,
 python3-requests,
 python3-stevedore,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-magnumclient-doc,
Description: client library for Magnum API - Python 3.x
 Magnum is an OpenStack API service developed by the OpenStack Containers Team
 making container orchestration engines such as Docker and Kubernetes available
 as first class resources in OpenStack. Magnum uses Heat to orchestrate an OS
 image which contains Docker and Kubernetes and runs that image in either
 virtual machines or bare metal in a cluster configuration.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc

override_dh_auto_clean:
	rm -rf build

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2 --in-tmp
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages pkgos-dh_auto_test --no-py2 'magnumclient\.tests\.(?!.*test_utils\.CliUtilsTest\.test_keys_and_vals_to_strs.*)'
endif

override_dh_auto_test:
	echo "Do nothing..."

override_dh_sphinxdoc:
	PYTHONPATH=. python3 -m sphinx -b html doc/source debian/python-magnumclient-doc/usr/share/doc/python-magnumclient-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

=== debian/watch ===
version=3
opts="uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/" \
https://github.com/openstack/python-magnumclient/tags .*/(\d[brc\d\.]+)\.tar\.gz

## python-magnumclient 3.2.2

=== debian/changelog ===
python-magnumclient (3.2.2-1~bpo11+1) UNRELEASED; urgency=medium

  [ Michal Arbet ]
  * New upstream version

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bullseye-victoria.infomaniak.ch>  Mon, 31 Jan 2022 12:39:34 +0000

## python-magnumclient 3.4.0

=== debian/changelog ===
python-magnumclient (3.4.0-0ubuntu1~cloud1) focal-wallaby; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf: Create stable/wallaby branch.
  * d/p/skip-tests.patch: Dropped. No longer needed as issue has been fixed.

  [ Felipe Reyes ]
  * d/p/Fix-failing-to-parse-json-error-msg.patch: Fix failing to parse json
    error msg (LP: #1979663).

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 26 Jul 2022 14:35:49 -0400

python-magnumclient (3.4.0-0ubuntu1~cloud0) focal-wallaby; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Mon, 22 Mar 2021 21:29:01 +0000

python-magnumclient (3.4.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release for OpenStack Wallaby. 

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Thu, 18 Mar 2021 10:13:15 +0000

python-magnumclient (3.3.0-0ubuntu1) hirsute; urgency=medium

  * d/control: Update VCS paths for move to lp:~ubuntu-openstack-dev.
  * New upstream release for OpenStack Wallaby.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Thu, 03 Dec 2020 13:15:17 +0000

python-magnumclient (3.2.1-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 11 Sep 2020 15:34:11 -0400

python-magnumclient (3.2.0-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.

 -- Chris MacNaughton <chris.macnaughton@canonical.com>  Thu, 03 Sep 2020 07:46:02 +0000

python-magnumclient (3.1.0-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/skip-tests.patch: Refresh patch
  * d/control: Move to pybuild.

 -- Chris MacNaughton <chris.macnaughton@canonical.com>  Thu, 11 Jun 2020 08:42:31 +0000

## python-magnumclient 3.5.0

=== requirements.txt ===
--- 
+++ 
@@ -13,6 +13,6 @@
 oslo.utils>=3.33.0 # Apache-2.0
 os-client-config>=1.28.0 # Apache-2.0
 osc-lib>=1.8.0 # Apache-2.0
-PrettyTable<0.8,>=0.7.2 # BSD
+PrettyTable>=0.7.2 # BSD
 cryptography>=3.0 # BSD/Apache-2.0
 decorator>=3.4.0 # BSD

=== debian/changelog ===
python-magnumclient (3.5.0-0ubuntu3) jammy; urgency=medium

  [ Corey Bryant ]
  * d/p/skip-tests.patch: Dropped. No longer needed as issue has been fixed.

  [ Felipe Reyes ]
  * d/p/lp1966512.patch: Fix test_help_on_subcommand on Python 3.10 (LP: #1966512).

 -- Felipe Reyes <felipe.reyes@canonical.com>  Fri, 25 Mar 2022 15:41:07 -0300

python-magnumclient (3.5.0-0ubuntu2) impish; urgency=medium

  * d/control: Drop python-pbr, python2 build depends.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Wed, 23 Jun 2021 08:04:28 +0000

python-magnumclient (3.5.0-0ubuntu1) impish; urgency=medium

  * New upstream release for OpenStack Xena.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Mon, 07 Jun 2021 11:46:09 +0000

=== debian/control ===
Source: python-magnumclient
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Corey Bryant <corey.bryant@canonical.com>,
Build-Depends:
 debhelper (>= 10~),
 dh-python,
 openstack-pkg-tools (>= 52~),
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 2.0.0),
Build-Depends-Indep:
 python3-babel (>= 2.3.4),
 python3-coverage (>= 4.0),
 python3-cryptography (>= 3.0),
 python3-decorator (>= 3.4.0),
 python3-fixtures (>= 3.0.0),
 python3-keystoneauth1 (>= 3.4.0),
 python3-mock (>= 2.0.0),
 python3-openstackclient (>= 3.12.0),
 python3-openstackdocstheme (>= 2.2.0),
 python3-os-client-config (>= 1.28.0),
 python3-osc-lib (>= 1.8.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.utils (>= 3.33.0),
 python3-oslotest (>= 1:3.2.0),
 python3-osprofiler (>= 1.4.0),
 python3-prettytable (>= 0.7.2),
 python3-reno (>= 2.11.2),
 python3-requests (>= 2.14.2),
 python3-six (>= 1.10.0),
 python3-stestr (>= 2.0.0),
 python3-stevedore (>= 1:1.20.0),
 python3-subunit,
 python3-testrepository (>= 0.0.18),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.2.0),
Standards-Version: 4.1.3
Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-magnumclient
Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-magnumclient
Homepage: http://www.openstack.org/
Testsuite: autopkgtest-pkg-python

Package: python-magnumclient-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: client library for Magnum API - doc
 Magnum is an OpenStack API service developed by the OpenStack Containers Team
 making container orchestration engines such as Docker and Kubernetes available
 as first class resources in OpenStack. Magnum uses Heat to orchestrate an OS
 image which contains Docker and Kubernetes and runs that image in either
 virtual machines or bare metal in a cluster configuration.
 .
 This package contains the documentation.

Package: python3-magnumclient
Architecture: all
Depends:
 python3-babel (>= 2.3.4),
 python3-cryptography (>= 3.0),
 python3-decorator (>= 3.4.0),
 python3-keystoneauth1 (>= 3.4.0),
 python3-os-client-config (>= 1.28.0),
 python3-osc-lib (>= 1.8.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.utils (>= 3.33.0),
 python3-pbr (>= 2.0.0),
 python3-prettytable (>= 0.7.2),
 python3-requests (>= 2.14.2),
 python3-six (>= 1.10.0),
 python3-stevedore (>= 1:1.20.0),
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-magnumclient-doc,
Description: client library for Magnum API - Python 3.x
 Magnum is an OpenStack API service developed by the OpenStack Containers Team
 making container orchestration engines such as Docker and Kubernetes available
 as first class resources in OpenStack. Magnum uses Heat to orchestrate an OS
 image which contains Docker and Kubernetes and runs that image in either
 virtual machines or bare metal in a cluster configuration.
 .
 This package contains the Python 3.x module.

## python-magnumclient 3.7.0

=== debian/changelog ===
python-magnumclient (3.7.0-0ubuntu1~cloud0) jammy-zed; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Thu, 08 Sep 2022 23:31:09 +0000

python-magnumclient (3.7.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release for OpenStack Zed.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/lp1966512.patch: Dropped. Fixed in new upstream release.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 08 Sep 2022 18:09:29 -0400

python-magnumclient (3.6.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release for OpenStack Zed.
  * d/control: Switch to debhelper compat 13.
  * d/control: Update standards version to 4.6.1.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 31 May 2022 14:27:31 -0400

## python-magnumclient 4.0.0

=== debian/changelog ===
python-magnumclient (4.0.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 23 Sep 2022 14:18:46 +0200

python-magnumclient (4.0.0-1) experimental; urgency=medium

  * New upstream release.
  * Removed remove-profile-eq-none-in-tests.patch.

 -- Thomas Goirand <zigo@debian.org>  Mon, 19 Sep 2022 14:49:10 +0200

python-magnumclient (3.7.0-1) experimental; urgency=medium

  * New upstream release.
  * Removed python3-babel from (build-)depends.
  * Removed fix-test_help_on_subcommand.patch applied upstream.

 -- Thomas Goirand <zigo@debian.org>  Fri, 02 Sep 2022 23:08:02 +0200

python-magnumclient (3.6.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 25 Mar 2022 10:58:03 +0100

python-magnumclient (3.6.0-1) experimental; urgency=medium

  * New upstream release.
  * Add autopkgtest.

 -- Thomas Goirand <zigo@debian.org>  Fri, 25 Feb 2022 21:32:33 +0100

python-magnumclient (3.5.0-3) unstable; urgency=medium

  * Add fix-test_help_on_subcommand.patch (Closes: #1002421).

 -- Thomas Goirand <zigo@debian.org>  Thu, 23 Dec 2021 12:13:21 +0100

python-magnumclient (3.5.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 29 Sep 2021 17:40:55 +0200

python-magnumclient (3.5.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 06 Sep 2021 09:43:57 +0200

python-magnumclient (3.4.1-2) unstable; urgency=medium

  * Upload to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 16 Aug 2021 11:10:29 +0200

python-magnumclient (3.4.1-1) experimental; urgency=medium

  * New upstream version

 -- Michal Arbet <michal.arbet@ultimum.io>  Sat, 26 Jun 2021 13:15:03 +0200

python-magnumclient (3.4.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 09 Mar 2021 09:03:35 +0100

=== debian/control ===
Source: python-magnumclient
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Corey Bryant <corey.bryant@canonical.com>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools (>= 98~),
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 python3-coverage,
 python3-cryptography (>= 3.0),
 python3-decorator,
 python3-fixtures,
 python3-hacking,
 python3-keystoneauth1,
 python3-openstackclient,
 python3-openstackdocstheme,
 python3-os-client-config,
 python3-osc-lib,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.serialization,
 python3-oslo.utils,
 python3-oslosphinx,
 python3-oslotest,
 python3-prettytable,
 python3-requests,
 python3-stestr,
 python3-stevedore,
 python3-subunit,
 python3-testscenarios,
 python3-testtools,
 subunit,
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/openstack-team/clients/python-magnumclient
Vcs-Git: https://salsa.debian.org/openstack-team/clients/python-magnumclient.git
Homepage: http://www.openstack.org/

Package: python-magnumclient-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: client library for Magnum API - doc
 Magnum is an OpenStack API service developed by the OpenStack Containers Team
 making container orchestration engines such as Docker and Kubernetes available
 as first class resources in OpenStack. Magnum uses Heat to orchestrate an OS
 image which contains Docker and Kubernetes and runs that image in either
 virtual machines or bare metal in a cluster configuration.
 .
 This package contains the documentation.

Package: python3-magnumclient
Architecture: all
Depends:
 python3-cryptography (>= 3.0),
 python3-decorator,
 python3-keystoneauth1,
 python3-os-client-config,
 python3-osc-lib,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.serialization,
 python3-oslo.utils,
 python3-pbr,
 python3-prettytable,
 python3-requests,
 python3-stevedore,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-magnumclient-doc,
Description: client library for Magnum API - Python 3.x
 Magnum is an OpenStack API service developed by the OpenStack Containers Team
 making container orchestration engines such as Docker and Kubernetes available
 as first class resources in OpenStack. Magnum uses Heat to orchestrate an OS
 image which contains Docker and Kubernetes and runs that image in either
 virtual machines or bare metal in a cluster configuration.
 .
 This package contains the Python 3.x module.

## python-magnumclient 4.1.0

=== debian/changelog ===
python-magnumclient (4.1.0-3) unstable; urgency=medium

  * Cleans better (Closes: #1046931).

 -- Thomas Goirand <zigo@debian.org>  Fri, 18 Aug 2023 11:27:40 +0200

python-magnumclient (4.1.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 19 Jun 2023 12:15:39 +0200

python-magnumclient (4.1.0-1) experimental; urgency=medium

  * New upstream release.
  * Removed version of (build-)depends when satisfied in Bookworm.

 -- Thomas Goirand <zigo@debian.org>  Wed, 22 Feb 2023 14:06:40 +0100

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,10 @@
 	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc
 
 override_dh_auto_clean:
-	rm -rf build
+	rm -f ca.pem cert.pem key.pem config
+	rm -rf build .stestr *.egg-info
+	find . -iname '*.pyc' -delete
+	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done
 
 override_dh_auto_build:
 	echo "Do nothing..."

## python-magnumclient 4.2.0

=== debian/changelog ===
python-magnumclient (4.2.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 31 Aug 2023 12:20:54 +0200
